@charset "UTF-8";

/*****************************************************************************
float_link
****************************************************************************/

#float_link {
    position: fixed;
    gap: 10px;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    width: 100%;
    /* min-width: 1200px; */
    background-color: #CC0033;
    text-align: center;
    z-index: 7;
    padding: 12px 0;
    transform: translateY(0);
    transition: 0.3s;
    font-size: 0;
    box-shadow: 0px 0px 5px black;
}

#float_link .btn {
    display: block;
    background: #fff;
    text-align: center;
    box-sizing: border-box;
    cursor: pointer;
    min-width: 200px;
    height: 100%;
    min-height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

#float_link .btn span {
    display: inline-block;
    font-size: 26px;
    color: #000;
    text-align: left;
    line-height: 1.2;
}

@media only screen and (max-width: 768px) {
    #float_link {
        min-width: 0;
        padding: 1vw 0 2vw;
        flex-direction: column;
        gap: 2vw;
    }
}

#float_link #float_link-title a.btn {
    border: none;
    background-color: transparent;
    padding-top: 0;
    margin-right: 10px;
    cursor: default;
}

@media screen and (max-width: 768px) {
    #float_link #float_link-title a.btn {
        padding-top: 0;
        margin: 0 auto;
    }
}

@media print,
only screen and (min-width: 769pxpx) {

    #float_link #float_link-title a.btn:hover {
        opacity: 1;
    }
}

#float_link #float_link-title {
    display: flex;
    align-items: center;
    justify-content: left;
    line-height: 1.2;
    color: #FFF;
}

#float_link #float_link-title span {
    font-size: min(3rem, 30px);
    font-weight: 600;
}

@media only screen and (max-width: 768px) {
    #float_link #float_link-title {
        margin: 0 auto;
    }

    #float_link #float_link-title span {
        font-size: max(1.5rem, 15px);
    }
}

#float_link ul {
    display: flex;
    gap: min(1rem, 10px);
    font-size: min(2.5rem, 25px);
}

@media only screen and (max-width: 768px) {
    #float_link ul {
        font-size: 1.5rem;
    }
}

#float_link ul li {
    color: #FFF;
    border-radius: 9999px;
    padding: 0 min(2rem, 20px) min(.4rem, 4px);
    min-width: min(23rem, 230px);
    font-weight: 500;
}

@media only screen and (max-width: 768px) {
    #float_link ul li {
        width: 70%;
        min-width: unset;
        padding: 1px 0 5px;
        line-height: 1.1;
    }
}

#float_link ul li a {
    display: block;
    width: 100%;
    height: 100%;
    text-decoration: none;
}

@media print,
only screen and (min-width: 769pxpx) {
    #float_link #float_link-title span {
        padding-left: 0;
        background: none;
    }
}



@media only screen and (max-width: 768px) {
    #float_link ul {
        justify-content: center;
        gap: 1.5vw;
        width: 70%;
        margin: auto;
        /* flex-direction: column; */
        align-items: center;
    }

    #float_link .btn {
        padding: 2.5vw 0;
        width: 33vw;
        margin: 0 auto;
        min-width: inherit;
        min-height: initial;
    }

    #float_link .btn span {
        font-size: clamp(10px, 4vw, 25px);
        line-height: 1;
    }
}

#float_link ul .btn span {
    font-weight: bold;
}

#float_link.hide {
    transform: translateY(100%);
}

#float_link .none {
    display: none;
}

#float_link .none.active {
    display: block;
    animation: appear .5s ease;
}

@keyframes appear {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}